Package gov.nasa.gsfc.sscweb.schema

# Class SpaceRegionsFilterOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.SpaceRegionsFilterOptions

public class SpaceRegionsFilterOptions extends Object
Space regions filter options. <p>Java class for SpaceRegionsFilterOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SpaceRegionsFilterOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="InterplanetaryMedium" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="DaysideMagnetosheath" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="NightsideMagnetosheath" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="DaysideMagnetosphere" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="NightsideMagnetosphere" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="PlasmaSheet" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="TailLobe" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="HighLatitudeBoundaryLayer" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="LowLatitudeBoundaryLayer" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="DaysidePlasmasphere" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="NightsidePlasmasphere" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `daysideMagnetosheath`
  Specifies whether the dayside magnetosheath region filter is to be applied.
  `protected boolean`
  `daysideMagnetosphere`
  Specifies whether the dayside magnetosphere region filter is to be applied.
  `protected boolean`
  `daysidePlasmasphere`
  Specifies whether the dayside plasmasphere region filter is to be applied.
  `protected boolean`
  `highLatitudeBoundaryLayer`
  Specifies whether the high latitude boundary layer region filter is to be applied.
  `protected boolean`
  `interplanetaryMedium`
  Specifies whether the interplanetary medium region filter is to be applied.
  `protected boolean`
  `lowLatitudeBoundaryLayer`
  Specifies whether the low latitude boundary layer region filter is to be applied.
  `protected boolean`
  `nightsideMagnetosheath`
  Specifies whether the nightside magnetosheath region filter is to be applied.
  `protected boolean`
  `nightsideMagnetosphere`
  Specifies whether the nightside magnetosphere region filter is to be applied.
  `protected boolean`
  `nightsidePlasmasphere`
  Specifies whether the nightside plasmasphere region filter is to be applied.
  `protected boolean`
  `plasmaSheet`
  Specifies whether the plasma sheet region filter is to be applied.
  `protected boolean`
  `tailLobe`
  Specifies whether the tail lobe region filter is to be applied.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpaceRegionsFilterOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isDaysideMagnetosheath()`
  Specifies whether the dayside magnetosheath region filter is to be applied.
  `boolean`
  `isDaysideMagnetosphere()`
  Specifies whether the dayside magnetosphere region filter is to be applied.
  `boolean`
  `isDaysidePlasmasphere()`
  Specifies whether the dayside plasmasphere region filter is to be applied.
  `boolean`
  `isHighLatitudeBoundaryLayer()`
  Specifies whether the high latitude boundary layer region filter is to be applied.
  `boolean`
  `isInterplanetaryMedium()`
  Specifies whether the interplanetary medium region filter is to be applied.
  `boolean`
  `isLowLatitudeBoundaryLayer()`
  Specifies whether the low latitude boundary layer region filter is to be applied.
  `boolean`
  `isNightsideMagnetosheath()`
  Specifies whether the nightside magnetosheath region filter is to be applied.
  `boolean`
  `isNightsideMagnetosphere()`
  Specifies whether the nightside magnetosphere region filter is to be applied.
  `boolean`
  `isNightsidePlasmasphere()`
  Specifies whether the nightside plasmasphere region filter is to be applied.
  `boolean`
  `isPlasmaSheet()`
  Specifies whether the plasma sheet region filter is to be applied.
  `boolean`
  `isTailLobe()`
  Specifies whether the tail lobe region filter is to be applied.
  `void`
  `setDaysideMagnetosheath(boolean value)`
  Sets the value of the daysideMagnetosheath property.
  `void`
  `setDaysideMagnetosphere(boolean value)`
  Sets the value of the daysideMagnetosphere property.
  `void`
  `setDaysidePlasmasphere(boolean value)`
  Sets the value of the daysidePlasmasphere property.
  `void`
  `setHighLatitudeBoundaryLayer(boolean value)`
  Sets the value of the highLatitudeBoundaryLayer property.
  `void`
  `setInterplanetaryMedium(boolean value)`
  Sets the value of the interplanetaryMedium property.
  `void`
  `setLowLatitudeBoundaryLayer(boolean value)`
  Sets the value of the lowLatitudeBoundaryLayer property.
  `void`
  `setNightsideMagnetosheath(boolean value)`
  Sets the value of the nightsideMagnetosheath property.
  `void`
  `setNightsideMagnetosphere(boolean value)`
  Sets the value of the nightsideMagnetosphere property.
  `void`
  `setNightsidePlasmasphere(boolean value)`
  Sets the value of the nightsidePlasmasphere property.
  `void`
  `setPlasmaSheet(boolean value)`
  Sets the value of the plasmaSheet property.
  `void`
  `setTailLobe(boolean value)`
  Sets the value of the tailLobe property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### interplanetaryMedium

    protected boolean interplanetaryMedium
    Specifies whether the interplanetary medium region filter is to be applied.

  - ### daysideMagnetosheath

    protected boolean daysideMagnetosheath
    Specifies whether the dayside magnetosheath region filter is to be applied.

  - ### nightsideMagnetosheath

    protected boolean nightsideMagnetosheath
    Specifies whether the nightside magnetosheath region filter is to be applied.

  - ### daysideMagnetosphere

    protected boolean daysideMagnetosphere
    Specifies whether the dayside magnetosphere region filter is to be applied.

  - ### nightsideMagnetosphere

    protected boolean nightsideMagnetosphere
    Specifies whether the nightside magnetosphere region filter is to be applied.

  - ### plasmaSheet

    protected boolean plasmaSheet
    Specifies whether the plasma sheet region filter is to be applied.

  - ### tailLobe

    protected boolean tailLobe
    Specifies whether the tail lobe region filter is to be applied.

  - ### highLatitudeBoundaryLayer

    protected boolean highLatitudeBoundaryLayer
    Specifies whether the high latitude boundary layer region filter is to be applied.

  - ### lowLatitudeBoundaryLayer

    protected boolean lowLatitudeBoundaryLayer
    Specifies whether the low latitude boundary layer region filter is to be applied.

  - ### daysidePlasmasphere

    protected boolean daysidePlasmasphere
    Specifies whether the dayside plasmasphere region filter is to be applied.

  - ### nightsidePlasmasphere

    protected boolean nightsidePlasmasphere
    Specifies whether the nightside plasmasphere region filter is to be applied.

- ## Constructor Details

  - ### SpaceRegionsFilterOptions

    public SpaceRegionsFilterOptions()

- ## Method Details

  - ### isInterplanetaryMedium

    public boolean isInterplanetaryMedium()
    Specifies whether the interplanetary medium region filter is to be applied.

  - ### setInterplanetaryMedium

    public void setInterplanetaryMedium(boolean value)
    Sets the value of the interplanetaryMedium property.

  - ### isDaysideMagnetosheath

    public boolean isDaysideMagnetosheath()
    Specifies whether the dayside magnetosheath region filter is to be applied.

  - ### setDaysideMagnetosheath

    public void setDaysideMagnetosheath(boolean value)
    Sets the value of the daysideMagnetosheath property.

  - ### isNightsideMagnetosheath

    public boolean isNightsideMagnetosheath()
    Specifies whether the nightside magnetosheath region filter is to be applied.

  - ### setNightsideMagnetosheath

    public void setNightsideMagnetosheath(boolean value)
    Sets the value of the nightsideMagnetosheath property.

  - ### isDaysideMagnetosphere

    public boolean isDaysideMagnetosphere()
    Specifies whether the dayside magnetosphere region filter is to be applied.

  - ### setDaysideMagnetosphere

    public void setDaysideMagnetosphere(boolean value)
    Sets the value of the daysideMagnetosphere property.

  - ### isNightsideMagnetosphere

    public boolean isNightsideMagnetosphere()
    Specifies whether the nightside magnetosphere region filter is to be applied.

  - ### setNightsideMagnetosphere

    public void setNightsideMagnetosphere(boolean value)
    Sets the value of the nightsideMagnetosphere property.

  - ### isPlasmaSheet

    public boolean isPlasmaSheet()
    Specifies whether the plasma sheet region filter is to be applied.

  - ### setPlasmaSheet

    public void setPlasmaSheet(boolean value)
    Sets the value of the plasmaSheet property.

  - ### isTailLobe

    public boolean isTailLobe()
    Specifies whether the tail lobe region filter is to be applied.

  - ### setTailLobe

    public void setTailLobe(boolean value)
    Sets the value of the tailLobe property.

  - ### isHighLatitudeBoundaryLayer

    public boolean isHighLatitudeBoundaryLayer()
    Specifies whether the high latitude boundary layer region filter is to be applied.

  - ### setHighLatitudeBoundaryLayer

    public void setHighLatitudeBoundaryLayer(boolean value)
    Sets the value of the highLatitudeBoundaryLayer property.

  - ### isLowLatitudeBoundaryLayer

    public boolean isLowLatitudeBoundaryLayer()
    Specifies whether the low latitude boundary layer region filter is to be applied.

  - ### setLowLatitudeBoundaryLayer

    public void setLowLatitudeBoundaryLayer(boolean value)
    Sets the value of the lowLatitudeBoundaryLayer property.

  - ### isDaysidePlasmasphere

    public boolean isDaysidePlasmasphere()
    Specifies whether the dayside plasmasphere region filter is to be applied.

  - ### setDaysidePlasmasphere

    public void setDaysidePlasmasphere(boolean value)
    Sets the value of the daysidePlasmasphere property.

  - ### isNightsidePlasmasphere

    public boolean isNightsidePlasmasphere()
    Specifies whether the nightside plasmasphere region filter is to be applied.

  - ### setNightsidePlasmasphere

    public void setNightsidePlasmasphere(boolean value)
    Sets the value of the nightsidePlasmasphere property.